## grendel.storage
Class MessageExtraFactory

    java.lang.Object
      |
      +--grendel.storage.MessageExtraFactory

public class MessageExtraFactory
extends java.lang.Object

If you want to call any of the MessageExtra methods on a Message, you should get the MessageExtra object using this call. Some Message objects will implement that interface directly; the rest need to have them painfully computed.

Constructor Summary
`MessageExtraFactory()`

Method Summary
`static MessageExtra` | `Get(javax.mail.Message m)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageExtraFactory

    public MessageExtraFactory()

Method Detail

### Get

    public static MessageExtra Get(javax.mail.Message m)